@import "src/sass/abstracts/abstracts";

:host {
  .status {
    padding: 2px 5px;
    border-radius: 4px;
    text-align: center;
    background-color: $grey;
    color: $white;

    &:not(:last-child) {
      margin-bottom: 4px;
    }

    a {
      color: $white;

      &:before {
        background-color: $white;
      }
    }

    &.is-completed {
      background-color: $green-sweet;
    }

    &.is-missing,
    &.is-in-error,
    &.is-not-updated {
      background-color: $red;
    }

    &.is-in-preparation {
      background-color: $warning;
    }
  }
}
